Skip to Content
API ReferenceProtocol Registry

Protocol Registry

getProtocols

Lists all 25 registered DeFi protocols with optional filtering by category or chain.

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "getProtocols",
  "params": {
    "chain": "ethereum"
  },
  "id": 1
}
Protocol Slugs
aave-v2aave-v3compound-v2compound-v3uniswap-v2uniswap-v3uniswap-v4curvecurve-llamalendlidomorpho1inch-v6pendle-v2rocket-poolcoinbase-cbethbinance-wbethetherfifrax-etherswellankrstaderbenqi-savaxjitomarinadeblazestakeavantis

Parameters

NameRequiredDescription
categorynoFilter by category
Options: lending, dex, staking, aggregator, derivatives
chainnoFilter by chain (e.g. ethereum, polygon)

Response Fields

FieldType
dataobject[]
namestring
slugstring
urlstring
categorystring
descriptionstring
versionstring
chainsstring[]
Try It
{
  "jsonrpc": "2.0",
  "method": "getProtocols",
  "params": {
    "chain": "ethereum"
  },
  "id": 1
}

getProtocol

Returns full details for a specific protocol including all contracts, ABIs, and addresses across chains.

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "getProtocol",
  "params": {
    "slug": "aave-v3"
  },
  "id": 1
}

Parameters

NameRequiredDescription
slugyesProtocol identifier
Options: aave-v2, aave-v3, compound-v2, compound-v3, uniswap-v2, uniswap-v3, uniswap-v4, curve, curve-llamalend, lido, morpho, 1inch-v6, pendle-v2, rocket-pool, coinbase-cbeth, binance-wbeth, etherfi, frax-ether, swell, ankr, stader, benqi-savax, jito, marinade, blazestake, avantis

Response Fields

FieldType
dataobject
namestring
slugstring
urlstring
categorystring
descriptionstring
versionstring
chainsstring[]
Try It
{
  "jsonrpc": "2.0",
  "method": "getProtocol",
  "params": {
    "slug": "aave-v3"
  },
  "id": 1
}

getRegistryContracts

Lists all smart contracts for a protocol, optionally filtered by chain.

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "getRegistryContracts",
  "params": {
    "slug": "aave-v3",
    "chain": "ethereum"
  },
  "id": 1
}

Parameters

NameRequiredDescription
slugyesProtocol identifier
Options: aave-v2, aave-v3, compound-v2, compound-v3, uniswap-v2, uniswap-v3, uniswap-v4, curve, curve-llamalend, lido, morpho, 1inch-v6, pendle-v2, rocket-pool, coinbase-cbeth, binance-wbeth, etherfi, frax-ether, swell, ankr, stader, benqi-savax, jito, marinade, blazestake, avantis
chainnoFilter by chain

Response Fields

FieldType
dataobject
protocolstring
chainstring
contractsobject
poolobject
namestring
addressstring
oracleobject
namestring
addressstring
Try It
{
  "jsonrpc": "2.0",
  "method": "getRegistryContracts",
  "params": {
    "chain": "ethereum",
    "slug": "aave-v3"
  },
  "id": 1
}

getRegistryAddress

Resolves a specific contract address for a protocol on a given chain.

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "getRegistryAddress",
  "params": {
    "slug": "aave-v3",
    "contract": "pool",
    "chain": "ethereum"
  },
  "id": 1
}

Parameters

NameRequiredDescription
slugyesProtocol identifier
Options: aave-v2, aave-v3, compound-v2, compound-v3, uniswap-v2, uniswap-v3, uniswap-v4, curve, curve-llamalend, lido, morpho, 1inch-v6, pendle-v2, rocket-pool, coinbase-cbeth, binance-wbeth, etherfi, frax-ether, swell, ankr, stader, benqi-savax, jito, marinade, blazestake, avantis
contractyesContract key
e.g. pool
chainyesChain name
e.g. ethereum

Response Fields

FieldType
dataobject
protocolstring
contractstring
chainstring
addressstring
Try It
{
  "jsonrpc": "2.0",
  "method": "getRegistryAddress",
  "params": {
    "chain": "ethereum",
    "slug": "aave-v3",
    "contract": "pool"
  },
  "id": 1
}

getRegistryCategories

Returns all available protocol categories that can be used for filtering.

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "getRegistryCategories",
  "params": {},
  "id": 1
}
Categories
lendingdexstakingaggregatorderivatives

Response Fields

FieldType
datastring[]
Try It
{
  "jsonrpc": "2.0",
  "method": "getRegistryCategories",
  "params": {},
  "id": 1
}

getRegistryChains

Returns all blockchain chains that have registered protocols in the registry.

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "getRegistryChains",
  "params": {},
  "id": 1
}

Response Fields

FieldType
datastring[]
Try It
{
  "jsonrpc": "2.0",
  "method": "getRegistryChains",
  "params": {},
  "id": 1
}